![hR hex](https://github.com/dalekube/hR/blob/master/hR.png?raw=true)

Transform and analyze workforce data in meaningful ways for human resources (HR) analytics. Get started with workforce planning using a simple Shiny app.

Human resources (HR) analytics, commonly referred to as talent analytics, people analytics, and workforce analytics, is a growing field that requires deep knowledge of the HR discipline, data analytics, and the business domain. This package offers convenience methods that make it easier for an HR analytics practitioner to get value from common workforce-oriented data sets. A Shiny app is available for basic workforce planning, designed to get an organization started with the practice.


# Installation
Install the package from CRAN by running the `install.packages("hR")` command in an active R session. Once installed, run `library(hR)` to load the package.

# Guide
You can view usage examples in the published vignette: http://rpubs.com/dalekube/hR. Or, you can view the vignette within an active R session by running `vignette("hR")` or `browseVignettes("hR")`.

# Workforce Planning Worksheet (Shiny App)
Access a running version of the application from your browser: https://dalekube.shinyapps.io/workforcePlanApp/. Or, locally run the application from an active R session with the command `workforcePlan()`. This simple worksheet serves as a starting block for the creation of a custom, large-scale workforce planning system.
